
Katello - Bug #31875

Disable/ Work around deb migration before upgrading if there's no debian content

02/15/2021 03:41 PM - Samir Jha

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We don't support debian content migration yet but this stop content-switchover for users with deb enabled even if they don't have any

debian content. We should have an option to work around this.

More context: https://community.theforeman.org/t/pulp-2-to-pulp3-upgrade-fails/22190/6

Related issues:

Has duplicate Katello - Bug #31941: Pulp migration switchover: cannot find re... Duplicate

History

#1 - 02/17/2021 06:56 PM - John Mitsch

- Target version set to Katello 3.18.3

- Triaged changed from No to Yes

#2 - 03/10/2021 05:06 PM - Ian Ballou

The katello_debs table also seems to be missing the migrated_pulp3_href column:

PG::UndefinedColumn: ERROR:  column katello_debs.migrated_pulp3_href does not exist

LINE 1: SELECT COUNT(*) FROM "katello_debs" WHERE "katello_debs"."mi...

 I'm able to always reproduce this on 3.18 if deb is enabled.

#3 - 03/10/2021 05:15 PM - Ian Ballou

The workaround I found is to disable deb entirely: foreman-installer --katello-use-pulp-2-for-deb=false --katello-enable-deb=false

#4 - 04/14/2021 02:21 PM - Justin Sherrill

- Has duplicate Bug #31941: Pulp migration switchover: cannot find repo type error when repo type disabled but repo type is set to use Pulp 2 added

#5 - 04/27/2021 09:03 PM - Justin Sherrill

- Status changed from New to Rejected

rejecting in favor of 32420

#6 - 05/05/2021 03:50 PM - Jonathon Turel

- Target version changed from Katello 3.18.3 to Katello Recycle Bin
